Suggestion Sticky thread in Plugin Development Section

Discussion in 'Forum Feedback' started by teej107, Feb 2, 2015.

Thread Status:
Not open for further replies.
  1. Offline

    teej107

    There has been way too many questions about an UnsupportedClassVersionError where people compile their plugin on a higher Java version than what the server runs. There should be a sticky thread explaining what the error is and how to fix it. It's an easy fix (changing a setting on the IDE)
     
  2. Offline

    mbaxter ʇıʞʞnq ɐ sɐɥ ı Retired Staff

  3. Offline

    teej107

    @mbaxter Yes, I did see that. However "Common Mistakes" as the title is a bit broad and people obviously haven't read your suggestion about building with different Java versions.

    EDIT: Though I should start posting answers with a link to that thread! It's a good one.
     
  4. Offline

    mbaxter ʇıʞʞnq ɐ sɐɥ ı Retired Staff

    Would you rather a separate thread for each item in the thread, leaving very little room on the page for further posts? ;)
     
    timtower likes this.
  5. Offline

    teej107

    No, I was just suggesting one thread. People are not reading those sticky threads but maybe getting rid of some less relevant sticky threads may help. I posted a thread about removing the less relevant ones and updating others but no action has been done.
     
  6. Offline

    mbaxter ʇıʞʞnq ɐ sɐɥ ı Retired Staff

    But what makes that one thread more important than all the other common issues? It's just one of many issues that happens frequently around here.

    As for outdated sticky threads the only two I'd drop are the two "Oops I broke your plugins" (keeping the "Didn't break..." one because it's still a popular error).
     
  7. Offline

    teej107

    Its more relevant since it is happening more often than the others. When the time comes, we can take it down or replace it.
    I understand why you wouldn't want this. However, I feel like your suggestion on this issue in your thread isn't explained enough because you don't specify what could happen (UnsupportedClassVersionError) if they build their plugins with a more updated Java version.
     
  8. Offline

    1Rogue Retired Staff

    The problem with this is it doesn't matter what you sticky to the top, the people it pertains to aren't the kind of people that will read things versus getting manual help.
     
    eyamaz likes this.
  9. Offline

    teej107

    Yeah, I agree. It's just something a little more simple and could have more of a chance of it being implemented than doing this idea: http://bukkit.org/threads/have-you-looked-at-these-pop-up.324815/

    BTW, I did find a plugin for it. https://xenforo.com/community/resources/similar-threads.2441/
    Any thoughts? @eyamaz @Jadedcat ?
     
  10. Offline

    eyamaz

    You mean this @teej107 ? No idea when I roll it to live though, but it will be coming.

    [​IMG]
     
    TGRHavoc, Assist and teej107 like this.
Thread Status:
Not open for further replies.

Share This Page